# tdBarcode: Angular 1 barcode generator

The most complete Angular 1 barcode generator. 
Provides a simple wrapper directive for [bwip-js](https://github.com/metafloor/bwip-js).

## Requirements

* AngularJS^1.2.x
* bwip-js^0.14.2

## Install

    $ npm install td-angular-barcode
    
or 

    $ bower install td-angular-barcode
        
## Demo

Here is a [demo](http://dinony.tinydesk.at:65464/public/tdBarcode/demo/), which shows all supported barcode types.

## Usage

Check out the [basic](http://dinony.tinydesk.at:65464/public/tdBarcode/basic/) example, to see the basic setup.

## bwip-js

For more info check [bwip-js](https://github.com/metafloor/bwip-js).
    
## Alternatives

If you have to support only a few types or just a certain type of barcode there are also alternatives (state of 2016-02).

* [angular-io-barcode](https://github.com/loicmahieu/angular-io-barcode) ~ 8 types
* [angular-barcode](https://github.com/justechn/angular-barcode) ~ 8 types
* [angular-barcode-generator](https://github.com/zhuk-aa/angular-barcode-generator) code128
* [angular-qrcode](https://github.com/monospaced/angular-qrcode)
* [angular-qr](https://github.com/janantala/angular-qr)
    
## Supported Types

* AusPost 4 State Customer Code
* Aztec Code 
* Aztec Runes 
* BC412 
* Channel Code 
* Codabar 
* Codablock F 
* Code 11 
* Code 128 
* Code 16K 
* Code 25 
* Code 39 
* Code 39 Extended 
* Code 49 
* Code 93 
* Code 93 Extended 
* Code One 
* Compact Aztec Code 
* Compact PDF417 
* COOP 2 of 5 
* Custom 1D symbology 
* Custom 4 state symbology 
* Data Matrix 
* Datalogic 2 of 5 
* Deutsche Post Identcode 
* Deutsche Post Leitcode 
* EAN-13 
* EAN-13 Composite 
* EAN-2 (2 digit addon) 
* EAN-5 (5 digit addon) 
* EAN-8 
* EAN-8 Composite 
* Flattermarken 
* GS1 Composite 2D Component 
* GS1 Data Matrix 
* GS1 DataBar Expanded 
* GS1 DataBar Expanded Composite 
* GS1 DataBar Expanded Stacked 
* GS1 DataBar Expanded Stacked Composite
* GS1 DataBar Limited 
* GS1 DataBar Limited Composite 
* GS1 DataBar Omnidirectional 
* GS1 DataBar Omnidirectional Composite 
* GS1 DataBar Stacked 
* GS1 DataBar Stacked Composite 
* GS1 DataBar Stacked Omnidirectional 
* GS1 DataBar Stacked Omnidirectional Composite
* GS1 DataBar Truncated 
* GS1 DataBar Truncated Composite
* GS1 QR Code 
* GS1-128 
* GS1-128 Composite 
* GS1-14 
* HIBC Codablock F 
* HIBC Code 128 
* HIBC Code 39 
* HIBC Data Matrix 
* HIBC MicroPDF417 
* HIBC PDF417 
* HIBC QR Code 
* IATA 2 of 5 
* Industrial 2 of 5 
* Interleaved 2 of 5 (ITF) 
* ISBN 
* ISMN 
* ISSN 
* Italian Pharmacode 
* ITF-14 
* Japan Post 4 State Customer Code 
* Matrix 2 of 5 
* MaxiCode 
* Micro QR Code 
* MicroPDF417
* Miscellaneous symbols 
* MSI Modified Plessey 
* PDF417 
* Pharmaceutical Binary Code 
* Pharmazentralnummer (PZN) 
* Plessey UK 
* PosiCode 
* QR Code 
* Royal Dutch TPG Post KIX 
* Royal Mail 4 State Customer Code 
* SSCC-18 
* Telepen 
* Telepen Numeric 
* Two-track Pharmacode 
* UPC-A 
* UPC-A Composite
* UPC-E 
* UPC-E Composite 
* USPS Intelligent Mail 
* USPS PLANET 
* USPS POSTNET